Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 621003 - Review Request: c-ares - A library that performs asynchronous DNS operations
Review Request: c-ares - A library that performs asynchronous DNS operations
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review (Show other bugs)
5.6
All Linux
low Severity medium
: rc
: ---
Assigned To: Stephen Gallagher
:
Depends On:
Blocks: 188273 621002
  Show dependency treegraph
 
Reported: 2010-08-03 19:04 EDT by Jakub Hrozek
Modified: 2010-08-24 11:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 07:56:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2010-08-03 19:04:16 EDT
Spec URL:
http://cvs.fedoraproject.org/viewvc/EL-5/c-ares/c-ares.spec?revision=1.11&view=markup

SRPM URL:
http://kojipkgs.fedoraproject.org/packages/c-ares/1.6.0/2.el5/src/c-ares-1.6.0-2.el5.src.rpm

Description:
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is being used by SSSD.
Comment 2 Stephen Gallagher 2010-08-10 10:32:23 EDT
Minor nitpicks:
 * Please remove trailing whitespace from the %description lines.
 * In the %files section, don't use *.so.* Please user libcares.so.2* This way an rpmbuild will fail in the future if a new so is added (intentionally or not)

Question: why do you have to rm -rf libcares.a if you're passing --disable-static?

Package does not update EPEL version. n-v-r must be higher.


Detailed review (passes):
#  MUST: rpmlint must be run on every package. The output should be posted in the review.[1]
No rpmlint errors found in the spec, SRPM or any of the built binaries for x86_64

# MUST: The package must be named according to the Package Naming Guidelines .
PASS

# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
PASS

# MUST: The package must meet the Packaging Guidelines .
PASS

# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
PASS

# MUST: The License field in the package spec file must match the actual license. [3]
PASS

# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
PASS

# MUST: The spec file must be written in American English. [5]
PASS

# MUST: The spec file for the package MUST be legible. [6]
PASS

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
PASS

# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
PASS

# MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
N/A

# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
PASS

# MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
N/A

# MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
PASS

# MUST: Packages must NOT bundle copies of system libraries.[11]
PASS

# MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
N/A

# MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
PASS

# MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
PASS

# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
PASS

# MUST: Each package must consistently use macros. [16]
PASS

# MUST: The package must contain code, or permissable content. [17]
PASS

# MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
N/A

# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
PASS

# MUST: Header files must be in a -devel package. [19]
PASS

# MUST: Static libraries must be in a -static package. [20]
N/A

# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
PASS

# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [21]
PASS

# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
PASS

# MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
N/A

# MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
PASS

# MUST: All filenames in rpm packages must be valid UTF-8. [24]
PASS

#  SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
N/A

# SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
N/A

# SHOULD: The reviewer should test that the package builds in mock. [27]
PASS

# SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
PASS http://koji.fedoraproject.org/koji/taskinfo?taskID=2391264 

# SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
PASS

# SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
N/A

# SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
N/A

# SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
PASS

# SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
N/A

# SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]
PASS
Comment 3 Jakub Hrozek 2010-08-10 12:14:10 EDT
(In reply to comment #2)
> Minor nitpicks:
>  * Please remove trailing whitespace from the %description lines.

Done

>  * In the %files section, don't use *.so.* Please user libcares.so.2* This way
> an rpmbuild will fail in the future if a new so is added (intentionally or not)
> 

Good suggestion, done

> Question: why do you have to rm -rf libcares.a if you're passing
> --disable-static?
> 

It was a leftover from when I did not pass --disable-static to configure. Fixed now.

> Package does not update EPEL version. n-v-r must be higher.

Done

Thanks for the review, here are new packages:
Spec file:
http://jhrozek.fedorapeople.org/package-review/c-ares.spec

SRPM:
http://jhrozek.fedorapeople.org/package-review/c-ares-1.6.0-4.fc12.src.rpm
Comment 4 Stephen Gallagher 2010-08-10 12:30:11 EDT
(In reply to comment #3)
> (In reply to comment #2)
> >  * In the %files section, don't use *.so.* Please user libcares.so.2* This way
> > an rpmbuild will fail in the future if a new so is added (intentionally or not)
> > 
> 
> Good suggestion, done

You missed the *.so in the -devel %files section

Also, you forgot to build that SRPM with rpmbuild-md5, so it doesn't build on EL5.
Comment 6 Stephen Gallagher 2010-08-10 16:37:14 EDT
Looks good. Setting RHEL5.0-ACCEPT
Comment 7 Jakub Hrozek 2010-08-23 07:56:33 EDT
Built in Brew:
https://brewweb.devel.redhat.com/buildinfo?buildID=140464

Note You need to log in before you can comment on or make changes to this bug.